package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.core.persistence.DataEntity;

public class ErpCreditMaterial extends DataEntity<ErpCreditMaterial> {//材料费实体类
    private static final long serialVersionUID = 1L;
    private Double mtlBookedFee2;//材料 入账金额
    private String eqmMaterialDetails2;//设备物料描述
    private String mtlUnit;//设备单位
    private Double mtlNumbers;//设备台数
    private String mtlSupplierName;//供应商
    private String eqmMaterialCode;//设备物料编码
    private ErpCredit erpCredit;//父类

    public ErpCreditMaterial(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }
    public ErpCreditMaterial(){

    }
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Double getMtlBookedFee2() {
        return mtlBookedFee2;
    }

    public void setMtlBookedFee2(Double mtlBookedFee2) {
        this.mtlBookedFee2 = mtlBookedFee2;
    }

    public String getEqmMaterialDetails2() {
        return eqmMaterialDetails2;
    }

    public void setEqmMaterialDetails2(String eqmMaterialDetails2) {
        this.eqmMaterialDetails2 = eqmMaterialDetails2;
    }

    public String getMtlUnit() {
        return mtlUnit;
    }

    public void setMtlUnit(String mtlUnit) {
        this.mtlUnit = mtlUnit;
    }

    public Double getMtlNumbers() {
        return mtlNumbers;
    }

    public void setMtlNumbers(Double mtlNumbers) {
        this.mtlNumbers = mtlNumbers;
    }

    public String getMtlSupplierName() {
        return mtlSupplierName;
    }

    public void setMtlSupplierName(String mtlSupplierName) {
        this.mtlSupplierName = mtlSupplierName;
    }

    public String getEqmMaterialCode() {
        return eqmMaterialCode;
    }

    public void setEqmMaterialCode(String eqmMaterialCode) {
        this.eqmMaterialCode = eqmMaterialCode;
    }

    public ErpCredit getErpCredit() {
        return erpCredit;
    }

    public void setErpCredit(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }

}
